# Translate API . detections

## Instance Methods

Detect the language of text.

### Method Details

`list(q)`

    Detect the language of text.

    Args:
      q: string, The text to detect (required) (repeated)

    Returns:
      An object of the form:

        {
        "detections": [ # A detections contains detection results of several text
          [ # An array of languages which we detect for the given text The most likely language list first.
            {
              "isReliable": True or False, # A boolean to indicate is the language detection result reliable.
              "confidence": 3.14, # The confidence of the detection resul of this language.
              "language": "A String", # The language we detect
            },
          ],
        ],
      }